#include <iostream>
#include <climits>
#define MAX_N 1000006
using namespace std;

pair <int, int> sub[MAX_N];
int nums[MAX_N];


int main()
{
    int n;
    cin >> n;

    for(int i=0; i<n; i++)
    {
        cin >> nums[i];
    }

    int maxi=INT_MIN;
    int curr;
    for(int i=0; i<n-1; i++)
    {
        sub[i].first=max(nums[i], nums[i+1]);
        sub[i].second=min(nums[i], nums[i+1]);
        curr=sub[i].second-2;
        if(curr>maxi)
        {
            maxi=curr;
        }
    }

    for(int i=3; i<=n; i++)
    {
        for(int j=0; j<=n-i; j++)
        {
            if(sub[j].first<=nums[i+j-1])
            {
                sub[j].second=sub[j].first;
                sub[j].first=nums[i+j-1];
            }
            else if(sub[j].second<nums[i+j-1])
            {
                sub[j].second=nums[i+j-1];
            }
            curr=sub[j].second-i;
            if(curr>maxi)
            {
                maxi=curr;
            }
        }
    }

    cout << maxi;



    return 0;
}
